Summary: Chemtool is a program for 2D drawing of organic molecules
Summary(de): Chemtool ist ein Programm für das 2D Zeichen von organischen Molekülen 
Name: chemtool
Version: 1.6.13
Release: %mkrel 1
License: GPL
Group: Sciences/Chemistry
Source: http://ruby.chemie.uni-freiburg.de/~martin/chemtool/%{name}-%{version}.tar.xz
URL: http://ruby.chemie.uni-freiburg.de/~martin/chemtool/chemtool.html
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%define name0 cht
%define docdir %{_docdir}/%{name}-%{version}
%define	exampledir %{_datadir}/%{name}-%{version}/examples

%description
Chemtool is a program for drawing organic molecules easily and store them in
a variety of output formats including as a X bitmap, Xfig, SVG or EPS file. 
It runs under the X Window System using the GTK widget set.

%description -l de
Chemtool ist ein Programm zum einfachen Zeichen organischen Molekülen und deren
Speicherung in verschiedenen Ausgabeformaten, einschließlich X bitmap, Xfig, SVG oder
EPS. Es arbeitet mit dem X Window System, wobei es GTK widgets nutzt.


%prep
rm -rf $RPM_BUILD_ROOT

%setup
%build
./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install

install -d $RPM_BUILD_ROOT%{docdir}
install -d $RPM_BUILD_ROOT%{_datadir}/mimelnk/application
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -d $RPM_BUILD_ROOT%{_datadir}/applications
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -d $RPM_BUILD_ROOT%{exampledir}
install -m 644 examples/* $RPM_BUILD_ROOT%{exampledir}
install -m 644 {COPYING,TODO,README,ChangeLog,using_chemtool.html}  $RPM_BUILD_ROOT%{docdir}
install -m 644 kde/mimelnk/application/x-chemtool.desktop $RPM_BUILD_ROOT%{_datadir}/mimelnk/application
install -m 644 gnome/gnome-application-%{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.png
install -m 644 chemtool.desktop  $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 gnome/chemtool.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Chemistry" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%post
%update_desktop_database

%postun
%clean_desktop_database



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}
%{exampledir}
%{_mandir}
%{_datadir}/pixmaps
%{_datadir}/applications
%{_datadir}/mimelnk
%{_datadir}/icons
%{_datadir}/locale
%doc %{docdir}


%changelog
* Mon Feb 13 2012 Neal <nealbrks0 at gmail dot com> 1.6.13-1pclos2012
- process

* Mon Feb 13 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.6.13-1pclos2012
- 1.6.13
- added german summary and description
- renamed spec file from chemtool.spec to pclos-chemtool.spec


* Sat Sep 01 2007 Patred Theknight <edupclos@gmailcom> 1.6.11-1pclos2007
- Rebuild for PCLinuxOS

* Thu Jun 21 2007 Martin Kroeker <martin@ruby.chemie.uni-freiburg.de>
- Moved installation of manpages into the Makefile
